//
// C++ Interface: potentialplot
//
//
// Author: Alexander Stein <AlexanderStein@t-online.de>, (C) 2008 - 2016
//
// Copyright: See README file that comes with this source code
//
//

#ifndef POTENTIALPLOT_H
#define POTENTIALPLOT_H

#include "DiagWindow.h"

class Potential;
class MainWindow;
struct SplinePoint;


class PotentialPlot : public DiagWindow
{
	Q_OBJECT

public:
    PotentialPlot(Potential *potential = 0, MainWindow *MW = 0);
    ~PotentialPlot();
	void plotPotential(Potential *potential = 0);
	void SetBoundaries();
    void PSpektrum(QPainter &P, const QRect & A, bool PrintFN );
	void ResetZoom();
	void clearHistory();
	void addPotential(Potential *pot);
	void setShowHistory(bool H);
	bool getShowHistory();
	void setShowPoints(bool show);
	bool getShowPoints();
	void PotSnapShot();
	bool getShowDiagFuncs();
	void setShowDiagFuncs(bool show);
	
public slots:
	void PotentialChanged();
	
private slots:
	void addPoint();
	void removePoint();
	void mouseReleased(QMouseEvent *e);
	void mouseMoved(QMouseEvent *e);
	void mousePressed(QMouseEvent *e);
	
private:
	Potential *pot, **potCopies;
	int NCopies, copyP, sPoint, mPoint, numPoints;
	bool History, showPoints, showDiagFuncs;
	int cPosx, cPosy, nDFP;
	SplinePoint *points;
	QMenu *pointMenu, *pictureMenu;
	QAction *removePointAct, *addPointAct;
	double aPosx, aPosy, *WFS, *WWFS, DFRi, DFh;
};

#endif
